return {
  titles = {
    "1,Mod Tech Age",
    "2,TA1: Idade do Ferro",
    "2,TA2: Idade do Vapor",
    "2,TA3: Idade do Petróleo",
    "2,TA4: Tempos atuais (Presente)",
    "2,TA5: Futuro",
    "1,Dicas",
    "1,Mudanças a partir da versão 1.0",
    "2,Dicas sobre a troca",
    "1,Minérios e Minerais",
    "2,Meridium",
    "2,Usmium",
    "2,Baborium",
    "2,Petróleo",
    "2,Bauxita",
    "2,Basalto",
    "2,History",
  },
  texts = {
    "O Tech Age é um mod de tecnologia com 5 estágios de desenvolvimento:\n"..
    "\n",
    "Utilize ferramentas e instrumentos auxiliares como queimadores de carvão\\, peneiras de cascalho\\, martelos e funis para extrair e processar minérios e metais necessários.\n"..
    "\n",
    "Construa uma máquina a vapor com eixos de transmissão e use-a para operar suas primeiras máquinas de processamento de minérios.\n"..
    "\n",
    "Encontre e extraia óleo\\, construa ferrovias para transporte de óleo. Uma usina fornece a eletricidade necessária para suas máquinas. A luz elétrica ilumina suas instalações industriais.\n"..
    "\n",
    "Fontes de energia renovável\\, como vento\\, sol e biocombustíveis\\, ajudam você a sair da era do petróleo. Com tecnologias modernas e máquinas inteligentes\\, você parte para o futuro.\n"..
    "\n",
    "Máquinas para superar espaço e tempo\\, novas fontes de energia e outras conquistas moldam sua vida.\n"..
    "\n"..
    "Nota: Clicando no sinal de adição\\, você acessa os subcapítulos deste manual.\n"..
    "\n"..
    "\n"..
    "\n",
    "Esta documentação está disponível tanto \"dentro do jogo\" (plano de construção de blocos) quanto no GitHub como arquivos MD.\n"..
    "\n"..
    "  - Link: https://github.com/joe7575/techage/wiki\nOs planos de construção (diagramas) para a construção das máquinas e as imagens estão disponíveis apenas no jogo.\n"..
    "\n"..
    "Com o Tech Age\\, você precisa começar do zero. Você só pode criar blocos TA2 com os itens do TA1\\, para o TA3 você precisa dos resultados do TA2\\, e assim por diante.\n"..
    "\n"..
    "No TA2\\, as máquinas só funcionam com eixos de transmissão.\n"..
    "\n"..
    "A partir do TA3\\, as máquinas funcionam com eletricidade e têm uma interface de comunicação para controle remoto.\n"..
    "\n"..
    "O TA4 adiciona mais fontes de energia\\, mas também desafios logísticos mais altos (linhas de energia\\, transporte de itens).\n"..
    "\n",
    "A partir da V1.0 (17/07/2021)\\, as seguintes alterações foram feitas:\n"..
    "\n"..
    "  - O algoritmo para calcular a distribuição de energia foi alterado. Isso torna os sistemas de armazenamento de energia mais importantes. Eles compensam as flutuações\\, o que é importante em redes maiores com vários geradores.\n"..
    "  - Por esse motivo\\, o TA2 recebeu seu próprio sistema de armazenamento de energia.\n"..
    "  - Os blocos de bateria do TA3 também servem como armazenamento de energia. Sua funcionalidade foi adaptada de acordo.\n"..
    "  - O sistema de armazenamento do TA4 foi revisado. O permutador de calor recebeu um novo número porque a funcionalidade foi movida do bloco inferior para o bloco central. Se eles estiverem sendo controlados remotamente\\, o número do nó deve ser adaptado. Os geradores não têm mais um menu próprio\\, mas são ligados/desligados apenas através do permutador de calor. O permutador de calor e o gerador agora devem estar conectados à mesma rede!\n"..
    "  - Vários sistemas de energia podem agora ser acoplados via blocos transformadores TA4.\n"..
    "  - Um novo bloco medidor de eletricidade TA4 para sub-redes também foi adicionado.\n"..
    "  - Pelo menos um bloco de bateria ou um sistema de armazenamento em cada rede.\n"..
    "\n",
    "Muitos outros blocos receberam alterações menores. Portanto\\, é possível que máquinas ou sistemas não reiniciem imediatamente após a troca. Em caso de falhas\\, as seguintes dicas ajudarão:\n"..
    "\n"..
    "  - Desligue e ligue as máquinas novamente.\n"..
    "  - Remova um bloco de cabo de energia e coloque-o de volta no lugar.\n"..
    "  - Remova completamente o bloco e coloque-o de volta no lugar.\n"..
    "\n",
    "Techage adiciona novos itens ao jogo:\n"..
    "\n"..
    "  - Meridium - uma liga para a produção de ferramentas luminosas no TA1\n"..
    "  - Usmium - um minério que é extraído no TA2 e necessário para o TA3\n"..
    "  - Baborium - um metal necessário para receitas no TA3\n"..
    "  - Petróleo - necessário no TA3\n"..
    "  - Bauxita - um minério de alumínio necessário no TA4 para produzir alumínio\n"..
    "  - Basalto - surge quando água e lava se encontram\n"..
    "\n",
    "O Meridium é uma liga de aço e cristais de mesecons. Lingotes de Meridium podem ser feitos com a caldeira a carvão a partir de aço e cristais de mesecons. O Meridium brilha no escuro. Ferramentas feitas de Meridium também emitem luz e são\\, portanto\\, muito úteis na mineração subterrânea.\n"..
    "\n"..
    "\n"..
    "\n",
    "O Usmium ocorre apenas como pepitas e só pode ser obtido lavando cascalho com o sistema de lavagem de cascalho TA2/TA3.\n"..
    "\n"..
    "\n"..
    "\n",
    "O Baborium só pode ser obtido através da mineração subterrânea. Essa substância só pode ser encontrada a uma profundidade de -250 a -340 metros.\n"..
    "\n"..
    "O Baborium só pode ser derretido na Fornalha Industrial TA3.\n"..
    "\n"..
    "\n"..
    "\n",
    "O Petróleo só pode ser encontrado com a ajuda do Explorer e extraído com a ajuda de máquinas apropriadas do TA3. Veja TA3.\n"..
    "\n"..
    "\n"..
    "\n",
    "A Bauxita é extraída apenas na mineração subterrânea. A Bauxita só é encontrada na pedra a uma altura entre -50 e -500 metros.\n"..
    "É necessária para a produção de alumínio\\, que é principalmente usada no TA4.\n"..
    "\n"..
    "\n"..
    "\n",
    "O Basalto só é criado quando lava e água se encontram.\n"..
    "A melhor coisa a fazer é montar um sistema onde uma fonte de lava e uma fonte de água se encontram.\n"..
    "O Basalto é formado onde ambos os líquidos se encontram.\n"..
    "Você pode construir um gerador automático de basalto com o Sign Bot.\n"..
    "\n"..
    "\n"..
    "\n",
    "  - 28.09.2019: Solar system added\n"..
    "  - 05.10.2019: Data on the solar system and description of the inverter and the power terminal changed\n"..
    "  - 18.11.2019: Chapter for ores\\, reactor\\, aluminum\\, silo\\, bauxite\\, furnace heating\\, gravel washing system added\n"..
    "  - 22.02.2020: corrections and chapters on the update\n"..
    "  - 29.02.2020: ICTA controller added and further corrections\n"..
    "  - 14.03.2020 Lua controller added and further corrections\n"..
    "  - 22.03.2020 More TA4 blocks added\n"..
    "\n",
  },
  images = {
    "",
    "",
    "",
    "",
    "",
    "techage_ta4",
    "",
    "",
    "",
    "",
    "meridium",
    "usmium",
    "baborium",
    "oil",
    "bauxite",
    "basalt",
    "",
  },
  plans = {
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
  }
}