# TA2: Era a Vapor

TA2 trata-se de construir e operar as primeiras máquinas para processamento de minérios. Algumas máquinas precisam ser acionadas por eixos de transmissão. Para fazer isso, você precisa construir uma máquina a vapor e aquecê-la com carvão ou carvão vegetal.

No TA2, há também um lavador de cascalho que pode ser usado para lavar minérios raros, como pepitas de Usmium. Você precisará dessas pepitas posteriormente para receitas adicionais.

[techage_ta2|image]

## Máquina a Vapor

A máquina a vapor é composta por vários blocos e deve ser montada conforme mostrado no plano à direita. São necessários os blocos da Caixa de Fogo(Firebox) TA2, parte superior da Caldeira(Boiler) TA2, parte inferior da Caldeira(Boiler) TA2, Cilindro(Cylinder) TA2, Volante(Flywheel) TA2 e Tubos de Vapor(steam piper) TA2.

Além disso, são necessários Eixos de Transmissão(drive axles) e blocos de Engrenagem(gear) para mudança de direção. O Volante deve ser conectado a todas as máquinas que precisam ser acionadas pelos Eixos de Transmissão.

Sempre preste atenção ao alinhamento de todos os blocos ao colocá-los:

- Cilindro à esquerda, volante à direita
- Conectar os tubos de vapor onde há um furo correspondente
- Eixo de transmissão no volante apenas à direita
- Em todas as máquinas, os eixos de transmissão podem ser conectados em todos os lados que não estejam ocupados por outras funções, como os furos de ENTRADA(IN) e SAÍDA(OUTPUT) no Moedor(grinder) e na Peneira(sieve).

A Caldeira deve ser preenchida com água. Preencha até 10 baldes de água na caldeira.
A Caixa de fogo deve ser preenchida com carvão ou carvão vegetal.
Quando a água estiver quente (indicador de temperatura no topo), a máquina a vapor pode ser iniciada no Volante.

A máquina a vapor tem uma capacidade de 25ku, podendo acionar várias máquinas ao mesmo tempo.

[steamengine|plan]

### Caixa de Fogo(Firebox) TA2

Parte da máquina a vapor.

A Caixa de fogo deve ser preenchida com carvão ou carvão vegetal. O tempo de queima depende da potência exigida pela máquina a vapor. O carvão queima por 32s e o carvão vegetal por 96s em carga máxima.

[ta2_firebox|image]

### TA2 Caldeira(Boiler)

Parte da máquina a vapor. Deve ser preenchida com água. Isso é feito clicando na caldeira com um balde de água. Quando não há mais água ou a temperatura cai muito, a máquina a vapor desliga. Com a máquina a vapor, parte da água é perdida como vapor a cada curso do pistão, então a água deve ser reabastecida regularmente.

[ta2_boiler|image]

### TA2 Cilindro(Cylinder)

Parte da máquina a vapor.

[ta2_cylinder|image]

### TA2 Volante(Flywheel)

Parte motora da máquina a vapor. O Volante deve ser conectado às máquinas por meio de eixos de transmissão.

[ta2_flywheel|image]

### TA2 Tubos de Vapor(Steam pipes) 

Parte da máquina a vapor. A caldeira deve ser conectada ao cilindro por meio dos Tubos de vapor. O tubo de vapor não tem ramificações, o comprimento máximo é 12 m (blocos).

[ta2_steampipe|image]

### TA2 Eixo de Transmissão(Drive axle) TA2 / Caixa de Engrenagem(Gearbox) 

Os Eixos de transmissão são usados para transmitir energia da máquina a vapor para outras máquinas. O comprimento máximo de um eixo de transmissão é 10 blocos. Com as Caixas de Engrenagem TA2, é possível vencer distâncias maiores, e também realizar ramificações e mudanças de direção.

[ta2_driveaxle|image]

### TA2 Gerador de Energia 

O Gerador de Energia TA2 é necessário para operar lâmpadas ou outros consumidores de energia em uma Máquina a vapor. O Gerador de Energia TA2 deve ser conectado aos eixos de transmissão de um lado e, em seguida, fornece eletricidade do outro lado.

Se o Gerador de Energia não receber energia suficiente, ele entra em estado de erro e deve ser reativado com um clique direito.

O Gerador de Energia consome no máximo 25ku de potência do eixo e fornece no máximo 24ku como eletricidade do outro lado. Portanto, ele consome um ku para a conversão.

[ta2_generator|image]

## TA2 Armazenamento de Energia 

Para sistemas maiores com várias máquinas a vapor ou muitas máquinas acionadas, é recomendado um sistema de armazenamento de energia. O armazenamento de energia no TA2 funciona com energia potencial. Para isso, o peso (pedras, cascalho, areia) é puxado para cima em um baú com a ajuda de um guincho. Se houver excesso de energia na rede de eixos, o baú é puxado para cima. Se mais energia for necessária a curto prazo do que a máquina a vapor pode fornecer, o armazenamento de energia libera a energia armazenada novamente e o baú de pesos desce novamente.
O armazenamento de energia é composto por vários blocos e deve ser montado conforme mostrado no plano à direita. 
Para alcançar a capacidade máxima de armazenamento, o baú deve ser completamente preenchido com pesos e o mastro, incluindo as duas caixas de engrenagens, deve ter 12 blocos de altura. Estruturas menores também são possíveis.

[ta2_storage|plan]

### TA2 Guincho 

O guincho deve ser conectado a uma caixa de engrenagens e pode absorver energia excessiva e assim puxar um baú de pesos para cima. 
Ao montar o guincho, certifique-se de que a seta no topo do bloco aponte para a caixa de engrenagens.
O comprimento máximo da corda é 10 blocos. 

[ta2_winch|image]

### TA2 Baú de Pesos 

Este baú deve ser colocado sob o guincho com uma distância de até 10 blocos e preenchido com pedras, cascalho ou areia. Se o peso mínimo de uma pilha (99+ itens)

### TA2 Embreagem

Com a embreagem, eixos e máquinas podem ser separados do armazenamento de energia. Isso significa que os eixos após a embreagem param e sistemas de máquinas podem ser reconstruídos. Ao montar a embreagem, certifique-se de que a seta na parte superior do bloco aponta para o sistema de armazenamento de energia.

[techage:ta2_clutch_off|image]

## Empurrar e classificar itens

Para transportar objetos de uma estação de processamento para a próxima, são usados pushers e tubos. Veja o plano.

[itemtransport|plan]

### Tubo TechAge

Duas máquinas podem ser conectadas com a ajuda de um pusher e um tubo. Tubos não têm ramificações. O comprimento máximo é 200m (blocos).

Alternativamente, os tubos podem ser colocados usando a tecla Shift. Isso permite, por exemplo, que tubos sejam colocados em paralelo sem que eles se conectem acidentalmente.

A capacidade de transporte de um tubo é ilimitada e é limitada apenas pelo pusher.

[tube|image]

### Tubo Concentrador

Vários tubos podem ser combinados em um único tubo via concentrador. A direção na qual todos os itens são passados é marcada com uma seta. 

[concentrator|image]

### TA2 Pusher

Um pusher(empurrador) é capaz de puxar itens de caixas ou máquinas e empurrá-los para outras caixas ou máquinas. Em outras palavras, deve haver um e apenas um pusher entre dois blocos com inventário. Múltiplos pushers em sequência não são possíveis.
No entanto, na direção oposta, um pusher é permeável a itens, de modo que uma caixa pode ser preenchida via tubo e também ensinada.

Um pusher entra no estado "standby" se não tiver itens para empurrar. Se a saída estiver bloqueada ou o inventário do destinatário estiver cheio, o pusher entra no estado "bloqueado". O pusher automaticamente sai de ambos os estados após alguns segundos se a situação mudar.

A capacidade de processamento de um pusher TA2 é de 2 itens a cada 2 s.

[ta2_pusher|image]

### TA2 Distributor(Distribuidor)

O distribuidor é capaz de transportar os itens de seu inventário ordenados em até quatro direções. Para fazer isso, o distribuidor deve ser configurado conforme necessário.

O distribuidor possui um menu com 4 filtros com cores diferentes, correspondendo às 4 saídas. Se uma saída for usada, o filtro correspondente deve ser ativado via caixa de seleção "ligado". Todos os itens configurados para este filtro são enviados através da saída designada. Se um filtro for ativado sem que itens sejam configurados, estamos falando de uma saída "não configurada", aberta.

**Atenção: O distribuidor também é um pusher em suas saídas. Portanto, nunca puxe itens do distribuidor com um pusher!**

Existem dois modos de operação para uma saída não configurada:

1) Enviar todos os itens que não podem ser enviados para nenhuma outra saída, mesmo que estejam bloqueados.

2) Enviar apenas os itens que não foram configurados para nenhum outro filtro.

No primeiro caso, todos os itens são sempre encaminhados e o distribuidor não fica cheio. No segundo caso, os itens são retidos e o distribuidor pode ficar cheio e, em seguida, bloquear.

O modo de operação pode ser definido usando a caixa de seleção "modo de bloqueio".

A capacidade de processamento de um distribuidor TA2 é de 4 itens a cada 2s, onde o distribuidor tenta distribuir os 4 itens para as saídas abertas.

Se o mesmo item for configurado várias vezes em um filtro, a proporção de distribuição a longo prazo será influenciada de acordo.

Observe que a distribuição é um processo probabilístico. Isso significa que as proporções de distribuição não serão correspondidas exatamente, mas apenas a longo prazo.

O tamanho máximo de pilha nos filtros é 12; no total, não mais que 36 itens podem ser configurados.

[ta2_distributor|image]


## Gravel washer(Lavador de cascalho)

O lavador de cascalho é uma máquina mais complexa com o objetivo de lavar pepitas de Usmium a partir de cascalho peneirado. Um enxaguatório TA2 com eixo de acionamento, um funil, um baú e água corrente são necessários para a instalação.

Estrutura da esquerda para a direita (veja também o plano):

- Um bloco de terra, sobre ele a fonte de água, cercada em 3 lados, por exemplo, por blocos de vidro
- Ao lado, o enxaguatório de cascalho, se necessário com conexões de tubulação para a entrega e remoção de cascalho
- Em seguida, o funil com baú

O conjunto é cercado por mais blocos de vidro, para que a água flua sobre o enxaguatório de cascalho e o funil, e as pepitas lavadas possam ser coletadas novamente pelo funil.

[gravelrinser|plan]

### TA2 Gravel Rinser(Enxaguatório de cascalho)

O lavador de cascalho é capaz de enxaguar os minérios de Usmium e cobre do cascalho que já foi peneirado, desde que seja lavado com água.

Se o Enxaguatório de Cascalho funciona corretamente, pode ser testado com pedaços de madeira, se estes forem colocados no inventário do Enxaguatório de Cascalho. Eles devem ser enxaguados individualmente e recolhidos pelo funil.

A capacidade de processamento é de um item de cascalho a cada 2s. O lavador de cascalho precisa de 3 ku de energia.

[ta2_rinser|image]


## Escavar pedra, moer e peneirar

Esmagar, moer e peneirar pedregulhos é usado para extrair minérios. O cascalho peneirado também pode ser usado para outros fins. A pedreira, moedor e peneira devem ser acionados e, portanto, instalados perto de uma máquina a vapor.

[ta2_grinder|image]

### TA2 Quarry(Pedreira)

A pedreira é usada para remover pedras e outros materiais do subsolo. A pedreira escava um buraco de 5x5 blocos. A profundidade é ajustável.
A capacidade de processamento é de um bloco a cada 4s. A pedreira precisa de 10 ku de energia. A profundidade máxima é de 20 metros. Para maiores profundidades, consulte TA3 / TA4.

[ta2_quarry|image]

### TA2 Grinder(Moedor)

O moedor é capaz de moer várias rochas, mas também madeira e outros itens.
A capacidade de processamento é de um item a cada 4s. O moedor precisa de 4 ku de energia.

[ta2_grinder|image]

### TA2 Gravel Sieve(Peneira de cascalho)

A peneira de cascalho é capaz de peneirar cascalho para extrair minérios. O resultado é parcialmente "sieved gravel", que não pode ser peneirado novamente.
A capacidade de processamento é de um item a cada 4s. A peneira de cascalho requer 3 ku de energia.

[ta2_gravelsieve|image]


## Produzindo Itens

As máquinas TA2 podem não apenas extrair minérios, mas também produzir objetos.

### TA2 Autocrafter

O autocrafter é usado para a produção automática de bens. Tudo o que o jogador pode produzir via "Crafting Grid" também pode ser feito pelo autocrafter. Para isso, a receita deve ser inserida no menu do autocrafter e os ingredientes necessários adicionados.

Ingredientes e produtos fabricados podem ser transportados para dentro e para fora do bloco por meio de tubos e pushers.

A capacidade de processamento é de um item a cada 4s. O autocrafter requer 4 ku de energia.

[ta2_autocrafter|image]

### TA2 Electronic Fab

O electronic fab é uma máquina especial e só pode ser usada para a produção de tubos de vácuo. Tubos de vácuo são necessários para máquinas e blocos TA3.

A capacidade de processamento é de um tubo de vácuo a cada 6s. O electronic fab requer 8 ku de energia.

[ta2_electronicfab|image]


## Outros Blocos

### TA2 Liquid Sampler

Algumas receitas requerem água. Para que essas receitas também possam ser processadas automaticamente com o autocrafter, água deve ser fornecida em baldes. Isso é feito usando o liquid sampler. Ele precisa de baldes vazios e deve ser colocado na água.

A capacidade de processamento é de um balde de água a cada 8s. O liquid sampler requer 3 ku de energia.

[ta2_liquidsampler|image]

### TA2 Protected Chest

O protected chest só pode ser usado por jogadores que têm permissão de construção neste local, ou seja, que têm direitos de proteção. Não importa quem coloca o baú.

[ta2_chest|image]

### Techage Forceload Block

O Minetest divide o mapa em chamados map blocks. Estes são cubos com uma aresta de 16x16x16 blocos. Um map block é sempre completamente carregado pelo servidor, mas apenas os blocos ao redor de um jogador são carregados (aproximadamente 2-3 blocos em todas as direções). Na direção de visão do jogador, também existem mais map blocks. Apenas esta parte do mundo é ativa e apenas aqui as plantas e árvores crescem ou as máquinas funcionam.

Com um bloco forceload, você pode forçar o map block em que o bloco forceload está localizado a permanecer carregado enquanto você estiver no servidor. Quando todos os seus campos e máquinas estão cobertos com blocos Forceload, tudo está sempre em execução.

Os map blocks com suas coordenadas são predefinidos, por exemplo, (0,0,0) a (15,15,15), ou (16,16,16) a (31,31,31).
Você pode mover um bloco forceload dentro de um map block como quiser, a posição do map block permanece inalterada.

[ta2_forceload|image]

















